List<dynamic> starredProjects = [
  {
    "id": 78632,
    "description": null,
    "name": "Go Demo",
    "name_with_namespace": "旗舰版演示 / Demo / Go Demo",
    "path": "go-demo",
    "path_with_namespace": "ultimate-plan/demo/go-demo",
    "created_at": "2022-12-07T16:58:37.752+08:00",
    "default_branch": "main",
    "tag_list": [],
    "topics": [],
    "ssh_url_to_repo": "git@jihulab.com:ultimate-plan/demo/go-demo.git",
    "http_url_to_repo": "https://jihulab.com/ultimate-plan/demo/go-demo.git",
    "web_url": "https://jihulab.com/ultimate-plan/demo/go-demo",
    "readme_url": "https://jihulab.com/ultimate-plan/demo/go-demo/-/blob/main/README.md",
    "avatar_url": null,
    "forks_count": 0,
    "star_count": 1,
    "last_activity_at": "2022-12-22T11:20:28.747+08:00",
    "namespace": {
      "id": 32052,
      "name": "Demo",
      "path": "demo",
      "kind": "group",
      "full_path": "ultimate-plan/demo",
      "parent_id": 14276,
      "avatar_url": null,
      "web_url": "https://jihulab.com/groups/ultimate-plan/demo"
    },
    "container_registry_image_prefix": "registry.jihulab.com/ultimate-plan/demo/go-demo",
    "_links": {
      "self": "https://jihulab.com/api/v4/projects/78632",
      "issues": "https://jihulab.com/api/v4/projects/78632/issues",
      "merge_requests": "https://jihulab.com/api/v4/projects/78632/merge_requests",
      "repo_branches": "https://jihulab.com/api/v4/projects/78632/repository/branches",
      "labels": "https://jihulab.com/api/v4/projects/78632/labels",
      "events": "https://jihulab.com/api/v4/projects/78632/events",
      "members": "https://jihulab.com/api/v4/projects/78632/members",
      "cluster_agents": "https://jihulab.com/api/v4/projects/78632/cluster_agents"
    },
    "packages_enabled": true,
    "empty_repo": false,
    "archived": false,
    "visibility": "public",
    "resolve_outdated_diff_discussions": false,
    "container_expiration_policy": {"cadence": "1d", "enabled": false, "keep_n": 10, "older_than": "90d", "name_regex": ".*", "name_regex_keep": null, "next_run_at": "2022-12-08T16:58:37.771+08:00"},
    "issues_enabled": true,
    "merge_requests_enabled": true,
    "wiki_enabled": true,
    "jobs_enabled": true,
    "snippets_enabled": true,
    "container_registry_enabled": true,
    "service_desk_enabled": true,
    "service_desk_address": "contact-project+ultimate-plan-demo-go-demo-78632-issue-@mg.jihulab.com",
    "can_create_merge_request_in": true,
    "issues_access_level": "enabled",
    "repository_access_level": "enabled",
    "merge_requests_access_level": "enabled",
    "forking_access_level": "enabled",
    "wiki_access_level": "enabled",
    "builds_access_level": "enabled",
    "snippets_access_level": "enabled",
    "pages_access_level": "enabled",
    "operations_access_level": "enabled",
    "analytics_access_level": "enabled",
    "container_registry_access_level": "enabled",
    "security_and_compliance_access_level": "private",
    "releases_access_level": "enabled",
    "environments_access_level": "enabled",
    "feature_flags_access_level": "enabled",
    "infrastructure_access_level": "enabled",
    "monitor_access_level": "enabled",
    "emails_disabled": null,
    "shared_runners_enabled": true,
    "lfs_enabled": true,
    "creator_id": 1795,
    "import_status": "none",
    "open_issues_count": 12,
    "ci_default_git_depth": 20,
    "ci_forward_deployment_enabled": true,
    "ci_job_token_scope_enabled": false,
    "ci_separated_caches": true,
    "ci_opt_in_jwt": false,
    "ci_allow_fork_pipelines_to_run_in_parent_project": true,
    "public_jobs": true,
    "build_timeout": 3600,
    "auto_cancel_pending_pipelines": "enabled",
    "ci_config_path": "",
    "shared_with_groups": [],
    "only_allow_merge_if_pipeline_succeeds": false,
    "allow_merge_on_skipped_pipeline": null,
    "restrict_user_defined_variables": false,
    "request_access_enabled": true,
    "only_allow_merge_if_all_discussions_are_resolved": false,
    "remove_source_branch_after_merge": true,
    "printing_merge_request_link_enabled": true,
    "merge_method": "merge",
    "squash_option": "default_off",
    "enforce_auth_checks_on_uploads": true,
    "suggestion_commit_message": null,
    "merge_commit_template": null,
    "squash_commit_template": null,
    "issue_branch_template": null,
    "auto_devops_enabled": true,
    "auto_devops_deploy_strategy": "continuous",
    "autoclose_referenced_issues": true,
    "keep_latest_artifact": true,
    "runner_token_expiration_interval": null,
    "approvals_before_merge": 0,
    "mirror": false,
    "external_authorization_classification_label": null,
    "marked_for_deletion_at": null,
    "marked_for_deletion_on": null,
    "requirements_enabled": true,
    "requirements_access_level": "enabled",
    "security_and_compliance_enabled": true,
    "compliance_frameworks": [],
    "issues_template": null,
    "merge_requests_template": null,
    "merge_pipelines_enabled": false,
    "merge_trains_enabled": false,
    "only_allow_merge_if_all_status_checks_passed": false,
    "permissions": {"project_access": null, "group_access": null}
  },
  {
    "id": 59893,
    "description": "",
    "name": "极狐 GitLab APP 代码",
    "name_with_namespace": "旗舰版演示 / 极狐 GitLab App 产品线 / 极狐 GitLab APP 代码",
    "path": "jihu-gitlab-app",
    "path_with_namespace": "ultimate-plan/jihu-gitlab-app/jihu-gitlab-app",
    "created_at": "2022-10-10T15:44:13.763+08:00",
    "default_branch": "main",
    "tag_list": [],
    "topics": [],
    "ssh_url_to_repo": "git@jihulab.com:ultimate-plan/jihu-gitlab-app/jihu-gitlab-app.git",
    "http_url_to_repo": "https://jihulab.com/ultimate-plan/jihu-gitlab-app/jihu-gitlab-app.git",
    "web_url": "https://jihulab.com/ultimate-plan/jihu-gitlab-app/jihu-gitlab-app",
    "readme_url": "https://jihulab.com/ultimate-plan/jihu-gitlab-app/jihu-gitlab-app/-/blob/main/README.md",
    "avatar_url": null,
    "forks_count": 0,
    "star_count": 4,
    "last_activity_at": "2022-12-28T14:08:50.512+08:00",
    "namespace": {
      "id": 88966,
      "name": "极狐 GitLab App 产品线",
      "path": "jihu-gitlab-app",
      "kind": "group",
      "full_path": "ultimate-plan/jihu-gitlab-app",
      "parent_id": 14276,
      "avatar_url": null,
      "web_url": "https://jihulab.com/groups/ultimate-plan/jihu-gitlab-app"
    },
    "container_registry_image_prefix": "registry.jihulab.com/ultimate-plan/jihu-gitlab-app/jihu-gitlab-app",
    "_links": {
      "self": "https://jihulab.com/api/v4/projects/59893",
      "issues": "https://jihulab.com/api/v4/projects/59893/issues",
      "merge_requests": "https://jihulab.com/api/v4/projects/59893/merge_requests",
      "repo_branches": "https://jihulab.com/api/v4/projects/59893/repository/branches",
      "labels": "https://jihulab.com/api/v4/projects/59893/labels",
      "events": "https://jihulab.com/api/v4/projects/59893/events",
      "members": "https://jihulab.com/api/v4/projects/59893/members",
      "cluster_agents": "https://jihulab.com/api/v4/projects/59893/cluster_agents"
    },
    "packages_enabled": true,
    "empty_repo": false,
    "archived": false,
    "visibility": "public",
    "resolve_outdated_diff_discussions": false,
    "container_expiration_policy": {"cadence": "1d", "enabled": false, "keep_n": 10, "older_than": "90d", "name_regex": ".*", "name_regex_keep": null, "next_run_at": "2022-10-11T15:44:13.785+08:00"},
    "issues_enabled": true,
    "merge_requests_enabled": true,
    "wiki_enabled": true,
    "jobs_enabled": true,
    "snippets_enabled": false,
    "container_registry_enabled": true,
    "service_desk_enabled": true,
    "service_desk_address": "contact-project+ultimate-plan-jihu-gitlab-app-jihu-gitlab-app-59893-issue-@mg.jihulab.com",
    "can_create_merge_request_in": true,
    "issues_access_level": "enabled",
    "repository_access_level": "enabled",
    "merge_requests_access_level": "enabled",
    "forking_access_level": "enabled",
    "wiki_access_level": "enabled",
    "builds_access_level": "enabled",
    "snippets_access_level": "disabled",
    "pages_access_level": "enabled",
    "operations_access_level": "enabled",
    "analytics_access_level": "enabled",
    "container_registry_access_level": "enabled",
    "security_and_compliance_access_level": "private",
    "releases_access_level": "enabled",
    "environments_access_level": "disabled",
    "feature_flags_access_level": "enabled",
    "infrastructure_access_level": "disabled",
    "monitor_access_level": "disabled",
    "emails_disabled": false,
    "shared_runners_enabled": true,
    "lfs_enabled": true,
    "creator_id": 23837,
    "import_url": null,
    "import_type": null,
    "import_status": "none",
    "open_issues_count": 153,
    "ci_default_git_depth": 20,
    "ci_forward_deployment_enabled": true,
    "ci_job_token_scope_enabled": false,
    "ci_separated_caches": true,
    "ci_opt_in_jwt": false,
    "ci_allow_fork_pipelines_to_run_in_parent_project": true,
    "public_jobs": true,
    "build_timeout": 3600,
    "auto_cancel_pending_pipelines": "enabled",
    "ci_config_path": "",
    "shared_with_groups": [],
    "only_allow_merge_if_pipeline_succeeds": true,
    "allow_merge_on_skipped_pipeline": false,
    "restrict_user_defined_variables": false,
    "request_access_enabled": true,
    "only_allow_merge_if_all_discussions_are_resolved": true,
    "remove_source_branch_after_merge": true,
    "printing_merge_request_link_enabled": true,
    "merge_method": "ff",
    "squash_option": "default_on",
    "enforce_auth_checks_on_uploads": true,
    "suggestion_commit_message": "",
    "merge_commit_template": null,
    "squash_commit_template": null,
    "issue_branch_template": null,
    "auto_devops_enabled": true,
    "auto_devops_deploy_strategy": "continuous",
    "autoclose_referenced_issues": true,
    "keep_latest_artifact": true,
    "runner_token_expiration_interval": null,
    "approvals_before_merge": 0,
    "mirror": false,
    "external_authorization_classification_label": null,
    "marked_for_deletion_at": null,
    "marked_for_deletion_on": null,
    "requirements_enabled": true,
    "requirements_access_level": "enabled",
    "security_and_compliance_enabled": true,
    "compliance_frameworks": [],
    "issues_template": null,
    "merge_requests_template": "",
    "merge_pipelines_enabled": false,
    "merge_trains_enabled": false,
    "only_allow_merge_if_all_status_checks_passed": false,
    "permissions": {
      "project_access": {"access_level": 50, "notification_level": null},
      "group_access": {"access_level": 30, "notification_level": 3}
    }
  }
];
